Page MenuHomePhabricator

Reduce or eliminate bracketed labels to shorten phabricator emails subjects
Closed, DeclinedPublic

Description

Phabricator emails, by default, waste dozens characters for prefixes like "[Maniphest] [Changed Project Column]". Examples:

https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines explains why and how much we value space in email subject. Ideally, the first 50 characters should contain every essential bit.

Action: set metamta.differential.subject-prefix to an empty string (the same for maniphest etc.) and metamta.vary-subjects to false (cf. https://secure.phabricator.com/T2551 showing upstream won't change defaults).

Optionally, find a way to move the application-based label/prefix to the From: field, where it belongs.

Event Timeline

Nemo_bis created this task.Oct 13 2014, 2:33 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Qgil added a subscriber: Qgil.
Byfserag triaged this task as Lowest priority.Oct 17 2014, 11:20 AM
Byfserag added a subscriber: Byfserag.

I don't have a strong preference on prefix vs. suffix.

But I think "[Changed Project Column]" and such is very useful.

It's far better than other apps, where almost every email subject is the same regardless of what happened (to learn anything useful you have to open the email). Gerrit (bug 68598) and Bugzilla are both very bad on this front.

"[Maniphest]" will be useful once we're using other applications, so you can know where it comes from (vs. e.g. Code Review). I have no objection to putting this in the From if that's feasible, though.

greg added a subscriber: greg.Oct 28 2014, 5:10 PM

I don't see any other way of filtering email other than by subject (for separate tasks from code review, for instance): https://secure.phabricator.com/book/phabricator/article/mail_rules/

Please don't remove (or remove and re-add later, that's just busy work for no gain). Instead do (at most) T947.

greg added a comment.Oct 28 2014, 5:19 PM

For the record (since Lego pointed it out):

"X-Phabricator-Mail-Tags" has some of the needed info, but, from https://secure.phabricator.com/book/phabricator/article/mail_rules/:

X-Phabricator-Mail-Tags: this is attached to some mail and has a list of descriptors about the mail. (This is fairly new and subject to some change.)

(emphasis added)

I have no objection to putting this in the From if that's feasible, though.

Did someone check if this is configurable?

The From field is used to show who performed the action and I'm not aware of configuring that.

Qgil renamed this task from Eliminate bracketed labels to shorten phabricator emails subjects to Reduce or eliminate bracketed labels to shorten phabricator emails subjects.Dec 1 2014, 8:12 AM
Qgil edited projects, added Phabricator; removed Phabricator (Upstream).
Qgil moved this task from To Triage to Need discussion on the Phabricator board.
Qgil added subscribers: chasemp, Legoktm.
Qgil added a comment.Dec 1 2014, 8:17 AM

Just merged T947: Reduce maniphest prefix/prepend for email subject from [Maniphest] to [M] because the motivation is the same and the discussion is about touching or not the bracketed labels, reducing them a bit or completely, only the application part, or also the actions.

I don't have any strong opinion, but if I would have any, it would be based on the mobile experience. Most tasks should render completely in desktop email clients. So far I haven't got problems in mobile, but I will pay more attention.

It might be helpful to add either the 4-letter Callsigns discussed in T1314 to the email subjects, and/or, to add the Project #tags to the bodies.

Otherwise, there is often no obvious indicator which component an email(/thread) is about, which makes it impossible to create effective mail-filters.

greg added a comment.Dec 1 2014, 9:34 PM

@Quiddity:

It has headers, though:

X-Phabricator-Projects: <#phabricator>

or from another thread I'm on:

X-Phabricator-Projects: <#project-management>, <#triagers>

Sadly, gmail does not let us filter by arbitrary headers,
and phab doesn't have the equivalent of bugzilla's preference for showing them in the body, step #2 here which was its workaround. (That seems to be upstream as https://secure.phabricator.com/T5791 and see also https://secure.phabricator.com/T6297)

(And yes, I feel bad for no longer doing all my email through teletype^Dterminal^Dthunderbird, as I did for the previous 10+ years ;P >.> )

Qgil added a comment.Jan 22 2015, 1:29 PM

It would be useful to have someone with a vested interest in this feature leading the discussion until reaching an agreement. The implementation of the solution agreed should be trivial, right?

I don't see why a discussion would be needed. The status quo (no brackets) is the consensus and hence policy > must be implemented by default. If someone wants to change the status quo, they are free to look for an agreement.

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:52 PM

Did/does anyone else ask for eliminating this? Or only the original task reporter?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 7 2016, 4:43 PM
Aklapper moved this task from Need discussion to Misc on the Phabricator board.Oct 7 2016, 4:43 PM
Qgil removed a subscriber: Qgil.Oct 10 2016, 12:21 PM
Aklapper moved this task from Misc to Policies on the Phabricator board.Aug 29 2018, 6:17 PM
Aklapper closed this task as Declined.Sep 1 2018, 4:52 PM

Users who'd like to not see stuff like [Changed Project Column] in the subject line of mail notifications can disable "Vary Subjects" under https://phabricator.wikimedia.org/settings/panel/emailformat/

It has been nearly four years of Wikimedia Phabricator and this does not seem to be an issue for a vast majority of users so there are currently no plans to change the default or removing the subject-prefix. Reflecting by setting the status to declined.